function paramsInit() {
	initScormStatus();
	resizeContent();
	toggleError();
	toggleAssistance(true);
	toggleDuration();
	var l = TIPP10.main.getUrlVars()["l"];
	var ln = getScormLessonName(l);
	var ld = getScormLessonDescription(l);
	var lc = getScormLessonContent(l);
	var lc = decodeURIComponent(lc).split('\n').join('<br />');
	var en = document.getElementById('headline');
	en.innerHTML = ln;
	var ed = document.getElementById('description');
	ed.innerHTML = ld;
	var et = document.getElementById('target');
	et.innerHTML = 'Ziel: 30 Punkte';
	var el = document.getElementById('lesson_info');
	el.innerHTML = lc;
	var b = document.getElementById('error_correction');
	if (parseInt(l) <= 1) {
		var pl = document.getElementById('previous_lesson');
		if (pl) pl.style.display = 'none';
	}
	if (parseInt(l) >= 10) {
		var nl = document.getElementById('next_lesson');
		if (nl) nl.style.display = 'none';
	}
}
function resizeContent() {
	var h = document.getElementById("header").offsetHeight + document.getElementById("nav").offsetHeight + document.getElementById("filter").offsetHeight + document.getElementById("footer").offsetHeight + 2;
	var newHeight = window.innerHeight - h;
	//if (newHeight <= 500) newHeight = 500;newHeight -= document.getElementById("buttons").offsetHeight;
	newHeight -= document.getElementById("buttons").offsetHeight;
	if (window.innerWidth <= 600) {
		newHeight = 100;
		document.getElementById('content').style.height = 'auto';
	} else {
		document.getElementById('content').style.height = newHeight + "px";
	}
	//newHeight -= document.getElementById("buttons").offsetHeight;
	//if (newHeight <= 500) newHeight = 500;
	if (window.innerWidth <= 600) {
		newHeight = 100;
		document.getElementById('lesson').style.height = 'auto';
	} else {
		document.getElementById('lesson').style.height = newHeight + "px";
	}
}
function toggleDuration() {
	var t = new Array();
	var v = new Array();
	t[0] = document.getElementById('duration_type_0');
	t[1] = document.getElementById('duration_type_1');
	v[0] = document.getElementById('duration_value_0');
	v[1] = document.getElementById('duration_value_1');
	v[0].disabled = true;
	v[1].disabled = true;
	if (t[0].checked) v[0].disabled = false;
	if (t[1].checked) v[1].disabled = false;
}
function toggleError() {
	var b = document.getElementById('error_correction');
	var c = document.getElementById('error_backspace');
	if (b.checked) {
		c.disabled = false;
	} else {
		c.checked = false;
		c.disabled = true;
	}
}
function toggleAssistance(init) {
	var i;
	var k = document.getElementById('assistance_keyboard');
	var ks = new Array();
	ks[0] = document.getElementById('assistance_keycolors');
	ks[1] = document.getElementById('assistance_homerow');
	ks[2] = document.getElementById('assistance_paths');
	ks[3] = document.getElementById('assistance_border');
	if (k.checked) {
		for (i = 0; i < 4; ++i) {
			ks[i].disabled = false;
			if (!init) ks[i].checked = true;
		}
	} else {
		for (i = 0; i < 4; ++i) {
			ks[i].checked = false;
			ks[i].disabled = true;
		}
	}
}
function nextLesson() {
	if (doSetValue("adl.nav.request", "continue") == 'false') {
		alert('Es besteht keine SCORM-Verbindung zum LMS. Die Anfrage wird nun per HTTP weitergereicht.');
		var l = TIPP10.main.getUrlVars()["l"];
		window.location = 'index.html?l=' + (parseInt(l) + 1);
	}
	doTerminate();
}
function previousLesson() {
	if (doSetValue("adl.nav.request", "previous") == 'false') {
		alert('Es besteht keine SCORM-Verbindung zum LMS. Die Anfrage wird nun per HTTP weitergereicht.');
		var l = TIPP10.main.getUrlVars()["l"];
		window.location = 'index.html?l=' + (parseInt(l) - 1);
	}
	doTerminate();
}
